Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::StateInFile Class Reference

Reads state information from a file. More...

`#include <state_file.h>`

Inheritance diagram for sc::StateInFile:

[legend]
Collaboration diagram for sc::StateInFile:

[legend]
List of all members.

## Public Methods

| StateInFile ()
| State information will be obtained from cin.
| StateInFile (std::istream &s)
| State information will be obtained from fp.
| StateInFile (const char *name)
| State information will be obtained from name.
| ~StateInFile ()
virtual int | open (const char *name)
| State information will be obtained from name.
virtual void | close ()
| Close the output file.

## Protected Attributes

int | opened_
std::streambuf * | buf_

## Detailed Description

Reads state information from a file.

The documentation for this class was generated from the following file:

- state_file.h